explain_fstatvfs_or_die(3)

NAME
explain_fstatvfs_or_die - get file system statistics and report errors
    "get file system statistics and report errors"

SYNOPSIS
#include <libexplain/fstatvfs.h>

void explain_fstatvfs_or_die(int fildes, struct statvfs *data);
int explain_fstatvfs_on_error(int fildes, struct statvfs *data);

DESCRIPTION
The explain_fstatvfs_or_die function is used to call the fstatvfs(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_fstatvfs(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_fstatvfs_on_error function is used to call the fstatvfs(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_fstatvfs(3) function, but still returns to the caller.

fildes
    The fildes, exactly as to be passed to the fstatvfs(2) system call.

data
    The data, exactly as to be passed to the fstatvfs(2) system call.

RETURN VALUE
The explain_fstatvfs_or_die function only returns on success, see fstatvfs(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_fstatvfs_on_error function always returns the value return by the wrapped fstatvfs(2) system call.

EXAMPLE
The explain_fstatvfs_or_die function is intended to be used in a fashion similar to the following example:
    explain_fstatvfs_or_die(fildes, data);

SEE ALSO

fstatvfs(2)
    get file system statistics

explain_fstatvfs(3)
    explain fstatvfs(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2010 Peter Miller